Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.behaviors.vp
Class WandViewBehavior.RotationListener6D

    java.lang.Object
      com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
          com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
              com.sun.j3d.utils.behaviors.vp.WandViewBehavior.RotationListener6D

All Implemented Interfaces:
  SensorButtonListener, SensorReadListener

Enclosing class:
  WandViewBehavior

    public class WandViewBehavior.RotationListener6D

extends WandViewBehavior.ListenerBase

Implements a 6DOF sensor button listener that rotates the view platform about a Y axis. This axis can be relative to the sensor, user head, or view platform. The rotation center can be the sensor hotspot or a fixed point in virtual world coordinates.

See Also:
  `WandViewBehavior.setButtonAction6D(int, int)`, `WandViewBehavior.setRotationCoords(int)`, `WandViewBehavior.setTransformCenterSource(int)`, `WandViewBehavior.setTransformCenter(javax.vecmath.Point3d)`, `WandViewBehavior.setRotationSpeed(double, int, int)`, `WandViewBehavior.setAccelerationTime(double)`

Field Summary

Fields inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
`sensorToTracker, sensorToVworld, trackerToVworld, viewPlatformToVworld`

Constructor Summary
`WandViewBehavior.RotationListener6D(boolean reverse)` Construct a new rotation button listener for a 6DOF sensor.

Method Summary
`void` | `dragged(SensorEvent e)` This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation.
`protected void` | `endAction(Sensor s)` Ends the action.
`protected void` | `initAction(Sensor s)` Initializes the listener action.
`void` | `pressed(SensorEvent e)` This method is called when a sensor's button is pressed.

Methods inherited from class com.sun.j3d.utils.behaviors.vp.WandViewBehavior.ListenerBase
`conditionViewScale, getPhysicalToViewPlatformScale, getPhysicalToVirtualScale, isActive, released, transformAboutCenter, translateTransform`

Methods inherited from class com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor
`clicked, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WandViewBehavior.RotationListener6D

    public WandViewBehavior.RotationListener6D(boolean reverse)

  Construct a new rotation button listener for a 6DOF sensor.

  Parameters:
    `reverse` - if true, rotate clockwise; otherwise, rotate counter-clockwise

Method Detail

### initAction

    protected void initAction(Sensor s)

  Description copied from class: `WandViewBehavior.ListenerBase`
  Initializes the listener action. Subclasses must call this before starting the action, either from `pressed` or when a 2D valuator exits the deadzone threshold.

  Overrides:
    `initAction` in class `WandViewBehavior.ListenerBase`
  Parameters:
    `s` - reference to a 6DOF sensor if used by the listener; may be `null`

### endAction

    protected void endAction(Sensor s)

  Description copied from class: `WandViewBehavior.ListenerBase`
  Ends the action. Subclasses must be call this from `released` or when a 2D valuator enters the deadzone threshold.

  Overrides:
    `endAction` in class `WandViewBehavior.ListenerBase`
  Parameters:
    `s` - reference to a 6DOF sensor if used by the listener; may be `null`

### pressed

    public void pressed(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called when a sensor's button is pressed.

  Specified by:
    `pressed` in interface `SensorButtonListener`
  Overrides:
    `pressed` in class `WandViewBehavior.ListenerBase`
  Parameters:
    `e` - the sensor event

### dragged

    public void dragged(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation. The sensor value has not necessarily changed from the last drag event.

  Specified by:
    `dragged` in interface `SensorButtonListener`
  Overrides:
    `dragged` in class `SensorInputAdaptor`
  Parameters:
    `e` - the sensor event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD